Build #1 for cabal2nix-2.4

[all reports]

Package cabal2nix-2.4
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2017-07-27 10:13:47.802514855 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.7.3, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.3, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, transformers-0.5.2.0, yaml-0.8.23.3, Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.7.3, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.3, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, transformers-0.5.2.0, yaml-0.8.23.3, Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.7.3, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.3, monad-par-0.3.4.8, monad-par-extras-0.3.3, mtl-2.2.1, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, time-1.6.0.1, transformers-0.5.2.0, utf8-string-1.0.1.1, yaml-0.8.23.3
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring abstract-par-0.3.3...
Configuring Cabal-2.0.0.2...
Building abstract-par-0.3.3...
Building Cabal-2.0.0.2...
Configuring ansi-terminal-0.6.3.1...
Installed abstract-par-0.3.3
Building ansi-terminal-0.6.3.1...
Configuring base-orphans-0.6...
Installed ansi-terminal-0.6.3.1
Building base-orphans-0.6...
Configuring base-compat-0.9.3...
Installed base-orphans-0.6
Building base-compat-0.9.3...
Configuring cereal-0.5.4.0...
Installed base-compat-0.9.3
Building cereal-0.5.4.0...
Configuring fail-4.9.0.0...
Installed cereal-0.5.4.0
Building fail-4.9.0.0...
Configuring dlist-0.8.0.3...
Installed fail-4.9.0.0
Building dlist-0.8.0.3...
Configuring mtl-2.2.1...
Installed dlist-0.8.0.3
Building mtl-2.2.1...
Configuring integer-logarithms-1.0.2...
Installed mtl-2.2.1
Building integer-logarithms-1.0.2...
Configuring parallel-3.2.1.1...
Installed integer-logarithms-1.0.2
Building parallel-3.2.1.1...
Configuring prelude-extras-0.4.0.3...
Installed parallel-3.2.1.1
Building prelude-extras-0.4.0.3...
Configuring primitive-0.6.2.0...
Installed prelude-extras-0.4.0.3
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed primitive-0.6.2.0
Building random-1.1...
Configuring reflection-2.1.2...
Installed random-1.1
Building reflection-2.1.2...
Configuring semigroups-0.18.3...
Installed reflection-2.1.2
Building semigroups-0.18.3...
Configuring split-0.2.3.2...
Installed semigroups-0.18.3
Building split-0.2.3.2...
Configuring stm-2.4.4.1...
Installed split-0.2.3.2
Building stm-2.4.4.1...
Configuring tar-0.5.0.3...
Installed stm-2.4.4.1
Building tar-0.5.0.3...
Configuring text-1.2.2.2...
Installed tar-0.5.0.3
Building text-1.2.2.2...
Configuring th-abstraction-0.2.3.0...
Installed text-1.2.2.2
Building th-abstraction-0.2.3.0...
Configuring time-locale-compat-0.1.1.3...
Installed th-abstraction-0.2.3.0
Building time-locale-compat-0.1.1.3...
Configuring transformers-compat-0.5.1.4...
Installed time-locale-compat-0.1.1.3
Building transformers-compat-0.5.1.4...
Configuring utf8-string-1.0.1.1...
Installed transformers-compat-0.5.1.4
Building utf8-string-1.0.1.1...
Configuring void-0.7.2...
Installed utf8-string-1.0.1.1
Building void-0.7.2...
Installed void-0.7.2
Configuring ansi-wl-pprint-0.6.7.3...
Building ansi-wl-pprint-0.6.7.3...
Configuring abstract-deque-0.3...
Installed ansi-wl-pprint-0.6.7.3
Building abstract-deque-0.3...
Configuring vector-0.12.0.1...
Installed abstract-deque-0.3
Building vector-0.12.0.1...
Configuring tf-random-0.5...
Installed Cabal-2.0.0.2
Building tf-random-0.5...
Configuring monad-par-extras-0.3.3...
Installed tf-random-0.5
Building monad-par-extras-0.3.3...
Configuring StateVar-1.1.0.4...
Installed monad-par-extras-0.3.3
Building StateVar-1.1.0.4...
Configuring exceptions-0.8.3...
Installed StateVar-1.1.0.4
Building exceptions-0.8.3...
Configuring hashable-1.2.6.1...
Installed exceptions-0.8.3
Building hashable-1.2.6.1...
Configuring tagged-0.8.5...
Installed hashable-1.2.6.1
Building tagged-0.8.5...
Configuring mmorph-1.1.0...
Installed vector-0.12.0.1
Building mmorph-1.1.0...
Configuring transformers-base-0.4.4...
Installed tagged-0.8.5
Building transformers-base-0.4.4...
Installed transformers-base-0.4.4
Configuring cabal-doctest-1.0.2...
Configuring optparse-applicative-0.14.0.0...
Installed mmorph-1.1.0
Building cabal-doctest-1.0.2...
Building optparse-applicative-0.14.0.0...
Configuring QuickCheck-2.10.0.1...
Installed cabal-doctest-1.0.2
Building QuickCheck-2.10.0.1...
Configuring hackage-db-1.22...
Installed optparse-applicative-0.14.0.0
Building hackage-db-1.22...
Configuring scientific-0.3.5.1...
Installed hackage-db-1.22
Building scientific-0.3.5.1...
Configuring contravariant-1.4...
Installed scientific-0.3.5.1
Building contravariant-1.4...
Configuring uuid-types-1.0.3...
Installed contravariant-1.4
Building uuid-types-1.0.3...
Configuring unordered-containers-0.2.8.0...
Installed QuickCheck-2.10.0.1
Building unordered-containers-0.2.8.0...
Configuring vector-th-unbox-0.2.1.6...
Installed uuid-types-1.0.3
Building vector-th-unbox-0.2.1.6...
Configuring monad-control-1.0.2.1...
Installed vector-th-unbox-0.2.1.6
Building monad-control-1.0.2.1...
Installed monad-control-1.0.2.1
Configuring distributive-0.5.2...
Configuring hopenssl-2.2.1...
Installed unordered-containers-0.2.8.0
Building distributive-0.5.2...
Building hopenssl-2.2.1...
Warning: /tmp/pkgConf-distributive-0.51909002904165344818.2: Unrecognized
field abi-depends on line 31
/tmp/pkgConf-distributive-0.51909002904165344818.2: Unrecognized field
dynamic-library-dirs on line 23
/tmp/pkgConf-distributive-0.51909002904165344818.2: Unrecognized field
indefinite on line 16
Configuring attoparsec-0.13.1.0...
Installed distributive-0.5.2
Warning: /tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field
abi-depends on line 38
/tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field
dynamic-library-dirs on line 29
/tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field indefinite
on line 19
Configuring math-functions-0.2.1.0...
Installed hopenssl-2.2.1
Building attoparsec-0.13.1.0...
Building math-functions-0.2.1.0...
Configuring lifted-base-0.2.3.11...
Installed attoparsec-0.13.1.0
Building lifted-base-0.2.3.11...
Installed lifted-base-0.2.3.11
Configuring comonad-5.0.1...
Building comonad-5.0.1...
Configuring aeson-1.2.1.0...
Installed math-functions-0.2.1.0
Building aeson-1.2.1.0...
Warning: /tmp/pkgConf-comonad-5.010125029541272469786.1: Unrecognized field
abi-depends on line 39
/tmp/pkgConf-comonad-5.010125029541272469786.1: Unrecognized field
dynamic-library-dirs on line 30
/tmp/pkgConf-comonad-5.010125029541272469786.1: Unrecognized field indefinite
on line 17
Configuring resourcet-1.1.9...
Installed comonad-5.0.1
Building resourcet-1.1.9...
Installed resourcet-1.1.9
Configuring mwc-random-0.13.6.0...
Building mwc-random-0.13.6.0...
Configuring bifunctors-5.4.2...
Installed mwc-random-0.13.6.0
Building bifunctors-5.4.2...
Configuring conduit-1.2.11...
Installed aeson-1.2.1.0
Building conduit-1.2.11...
Configuring monad-par-0.3.4.8...
Installed bifunctors-5.4.2
Building monad-par-0.3.4.8...
Installed monad-par-0.3.4.8
Configuring profunctors-5.2...
Building profunctors-5.2...
Configuring semigroupoids-5.2...
Installed conduit-1.2.11
Building semigroupoids-5.2...
Installed profunctors-5.2
Configuring yaml-0.8.23.3...
Building yaml-0.8.23.3...
Warning: /tmp/pkgConf-semigroupoids-51402586708552473416.2: Unrecognized field
abi-depends on line 73
/tmp/pkgConf-semigroupoids-51402586708552473416.2: Unrecognized field
dynamic-library-dirs on line 61
/tmp/pkgConf-semigroupoids-51402586708552473416.2: Unrecognized field
indefinite on line 46
Installed semigroupoids-5.2
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring adjunctions-4.3...
Installed yaml-0.8.23.3
Building adjunctions-4.3...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Installed kan-extensions-5.0.2
Configuring lens-4.15.3...
Building lens-4.15.3...
Warning: /tmp/pkgConf-lens-4.15404158660937370163.3: Unrecognized field
abi-depends on line 149
/tmp/pkgConf-lens-4.15404158660937370163.3: Unrecognized field
dynamic-library-dirs on line 123
/tmp/pkgConf-lens-4.15404158660937370163.3: Unrecognized field indefinite on
line 86
Installed lens-4.15.3
Configuring language-nix-2.1.0.1...
Building language-nix-2.1.0.1...
Installed language-nix-2.1.0.1
Configuring distribution-nixpkgs-1.1...
Building distribution-nixpkgs-1.1...
Installed distribution-nixpkgs-1.1
Downloading cabal2nix-2.4...
Configuring cabal2nix-2.4...
Building cabal2nix-2.4...
Warning: /tmp/pkgConf-cabal2nix-210697559361237379107.4: Unrecognized field
abi-depends on line 105
/tmp/pkgConf-cabal2nix-210697559361237379107.4: Unrecognized field
dynamic-library-dirs on line 88
/tmp/pkgConf-cabal2nix-210697559361237379107.4: Unrecognized field indefinite
on line 67
Installed cabal2nix-2.4